Index: sysutils/libgtop2/patches/patch-ae
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ae
diff -N sysutils/libgtop2/patches/patch-ae
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ae	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,87 @@
+$NetBSD$
+
+--- sysdeps/freebsd/cpu.c.orig	2005-07-08 19:49:56.000000000 +0000
++++ sysdeps/freebsd/cpu.c
+@@ -27,16 +27,73 @@
+ 
+ #include <glibtop_suid.h>
+ 
+-#ifdef __NetBSD__
+-#include <sys/sched.h>
+-#endif
+-
+ static const unsigned long _glibtop_sysdeps_cpu =
+ (1L << GLIBTOP_CPU_TOTAL) + (1L << GLIBTOP_CPU_USER) +
+ (1L << GLIBTOP_CPU_NICE) + (1L << GLIBTOP_CPU_SYS) +
+ (1L << GLIBTOP_CPU_IDLE) + (1L << GLIBTOP_CPU_FREQUENCY) +
+ (1L << GLIBTOP_CPU_IOWAIT);
+ 
++#if defined(__DragonFly__)
++#include <kinfo.h>
++
++/* Init function. */
++
++void
++glibtop_init_cpu_p (glibtop *server)
++{
++	server->sysdeps.cpu = _glibtop_sysdeps_cpu;
++}
++
++/* Provides information about cpu usage. */
++void
++glibtop_get_cpu_p (glibtop *server, glibtop_cpu *buf)
++{
++	struct kinfo_cputime cp_time;
++	int hz;
++
++	glibtop_init_p (server, (1L << GLIBTOP_SYSDEPS_CPU), 0);
++
++	memset (buf, 0, sizeof (glibtop_cpu));
++
++	/* If this fails, the module was not setuped. */
++	if (server->sysdeps.cpu == 0)
++		return;
++
++	if (kinfo_get_sched_cputime(&cp_time)) {
++		glibtop_warn_io_r (server, "kinfo_get_sched_cputime");
++		return;
++	}
++	if (kinfo_get_sched_hz(&hz)) {
++		glibtop_warn_io_r (server, "kinfo_get_sched hz");
++		return;
++	}
++	/* set user time */
++	buf->user = cp_time.cp_user;
++	/* set nice time */
++	buf->nice = cp_time.cp_nice;
++	/* set sys time */
++	buf->sys = cp_time.cp_sys;
++	/* set idle time */
++	buf->idle = cp_time.cp_idle;
++	/* set iowait (really just interrupt) time */
++	buf->iowait = cp_time.cp_idle;
++
++	/* set frequency */
++	buf->frequency = hz;
++	/* set total */
++	buf->total = cp_time.cp_user + cp_time.cp_sys + cp_time.cp_nice +
++	    cp_time.cp_idle;
++
++	/* Set the flags last. */
++	buf->flags = _glibtop_sysdeps_cpu;
++}
++
++#else
++
++#ifdef __NetBSD__
++#include <sys/sched.h>
++#endif
++
+ #ifndef KERN_CP_TIME
+ /* nlist structure for kernel access */
+ static struct nlist nlst [] = {
+@@ -141,3 +198,4 @@ glibtop_get_cpu_p (glibtop *server, glib
+ 	/* Set the flags last. */
+ 	buf->flags = _glibtop_sysdeps_cpu;
+ }
++#endif
Index: sysutils/libgtop2/patches/patch-af
===================================================================
RCS file: sysutils/libgtop2/patches/patch-af
diff -N sysutils/libgtop2/patches/patch-af
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-af	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,14 @@
+$NetBSD$
+
+--- sysdeps/freebsd/glibtop_machine.h.orig	2005-07-08 19:00:00.000000000 +0000
++++ sysdeps/freebsd/glibtop_machine.h
+@@ -27,7 +27,9 @@
+ #include <sys/param.h>
+ #include <nlist.h>
+ #include <kvm.h>
++#ifndef __DragonFly__
+ #include <sys/dkstat.h>
++#endif
+ #include <time.h>
+ #include <sys/user.h>
+ #include <sys/types.h>
Index: sysutils/libgtop2/patches/patch-ag
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ag
diff -N sysutils/libgtop2/patches/patch-ag
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ag	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,66 @@
+$NetBSD$
+
+--- sysdeps/freebsd/mem.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/mem.c
+@@ -121,6 +121,9 @@ glibtop_get_mem_p (glibtop *server, glib
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+ 	struct uvmexp uvmexp;
+ 	size_t length_uvmexp;
++#elif defined(__DragonFly__)
++	struct vmstats vms;
++	size_t vms_size;
+ #else
+ 	struct vmmeter vmm;
+ #endif
+@@ -153,6 +156,12 @@ glibtop_get_mem_p (glibtop *server, glib
+ 		glibtop_warn_io_r (server, "sysctl (uvmexp)");
+ 		return;
+ 	}
++#elif defined(__DragonFly__)
++	vms_size = sizeof(vms);
++	if (sysctlbyname("vm.vmstats", &vms, &vms_size, NULL, 0)) {
++		glibtop_warn_io_r (server, "kvm_read (vms)");
++		return;
++	}
+ #else
+ 	/* Get the data from kvm_* */
+ 	if (kvm_read (server->machine.kd, nlst[1].n_value,
+@@ -170,7 +179,9 @@ glibtop_get_mem_p (glibtop *server, glib
+ 
+ 	/* convert memory stats to Kbytes */
+ 
+-#if defined(__FreeBSD__)
++#if defined(__DragonFly__)
++	v_total_count = vms.v_page_count;
++#elif defined(__FreeBSD__)
+ 	v_total_count = vmm.v_page_count;
+ #else
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+@@ -188,6 +199,9 @@ glibtop_get_mem_p (glibtop *server, glib
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+ 	v_used_count = uvmexp.active + uvmexp.inactive;
+ 	v_free_count = uvmexp.free;
++#elif defined(__DragonFly__)
++	v_used_count = vms.v_active_count + vms.v_inactive_count;
++	v_free_count = vms.v_free_count;
+ #else
+ 	v_used_count = vmm.v_active_count + vmm.v_inactive_count;
+ 	v_free_count = vmm.v_free_count;
+@@ -197,12 +211,16 @@ glibtop_get_mem_p (glibtop *server, glib
+ 	buf->used  = (guint64) pagetok (v_used_count) << LOG1024;
+ 	buf->free  = (guint64) pagetok (v_free_count) << LOG1024;
+ 
+-#ifdef __FreeBSD__
++#if defined(__DragonFly__)
++	buf->cached = (guint64) pagetok (vms.v_cache_count) << LOG1024;
++#elif defined(__FreeBSD__)
+ 	buf->cached = (guint64) pagetok (vmm.v_cache_count) << LOG1024;
+ #endif
+ 
+ #if defined(__NetBSD__)  && (__NetBSD_Version__ >= 104000000) || defined(__OpenBSD__)
+ 	buf->locked = (guint64) pagetok (uvmexp.wired) << LOG1024;
++#elif defined(__DragonFly__)
++	buf->locked = (guint64) pagetok (vms.v_wire_count) << LOG1024;
+ #else
+ 	buf->locked = (guint64) pagetok (vmm.v_wire_count) << LOG1024;
+ #endif
Index: sysutils/libgtop2/patches/patch-ah
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ah
diff -N sysutils/libgtop2/patches/patch-ah
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ah	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,12 @@
+$NetBSD$
+
+--- sysdeps/freebsd/open.c.orig	2005-07-08 19:38:02.000000000 +0000
++++ sysdeps/freebsd/open.c
+@@ -22,6 +22,7 @@
+ */
+ 
+ #include <glibtop.h>
++#include <glibtop/error.h>
+ #include <glibtop/open.h>
+ 
+ /* !!! THIS FUNCTION RUNS SUID ROOT - CHANGE WITH CAUTION !!! */
Index: sysutils/libgtop2/patches/patch-ai
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ai
diff -N sysutils/libgtop2/patches/patch-ai
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ai	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,46 @@
+$NetBSD$
+
+--- sysdeps/freebsd/prockernel.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/prockernel.c
+@@ -35,7 +35,7 @@
+ #include <sys/user.h>
+ #endif
+ #if !defined(__bsdi__) && !(defined(__FreeBSD__) && defined(__alpha__)) && \
+-    !defined(__NetBSD__)
++    !defined(__NetBSD__) && !defined(__DragonFly__)
+ #include <machine/pcb.h>
+ #endif
+ 
+@@ -93,7 +93,7 @@ glibtop_get_proc_kernel_p (glibtop *serv
+ 			   pid_t pid)
+ {
+ 	struct kinfo_proc *pinfo;
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 	struct user *u_addr = (struct user *)USRSTACK;
+ 	struct pstats pstats;
+ 	struct pcb pcb;
+@@ -126,9 +126,14 @@ glibtop_get_proc_kernel_p (glibtop *serv
+ 
+ #else
+ 
++#ifdef __DragonFly__
++#define PROC_WCHAN	kp_thread.td_wchan
++#define PROC_WMESG	kp_thread.td_wmesg
++#else
+ #define	PROC_WCHAN	kp_proc.p_wchan
+ #define	PROC_WMESG	kp_proc.p_wmesg
+ #define	PROC_WMESG	kp_eproc.e_wmesg
++#endif
+ 
+ #endif
+ 
+@@ -146,7 +151,7 @@ glibtop_get_proc_kernel_p (glibtop *serv
+ 	}
+ #endif
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__DragonFly__)
+ 
+ 	/* Taken from `saveuser ()' in `/usr/src/bin/ps/ps.c'. */
+ 
Index: sysutils/libgtop2/patches/patch-aj
===================================================================
RCS file: sysutils/libgtop2/patches/patch-aj
diff -N sysutils/libgtop2/patches/patch-aj
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-aj	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,16 @@
+$NetBSD$
+
+--- sysdeps/freebsd/proclist.c.orig	2004-09-23 22:44:19.000000000 +0000
++++ sysdeps/freebsd/proclist.c
+@@ -92,7 +92,11 @@ glibtop_get_proclist_p (glibtop *server,
+ 
+ #else
+ #define PROC_STAT	kp_proc.p_stat
++#ifdef __DragonFly__
++#define PROC_RUID	kp_eproc.e_ucred.cr_ruid
++#else
+ #define PROC_RUID	kp_eproc.e_pcred.p_ruid
++#endif
+ #define PROC_PID	kp_proc.p_pid
+ 
+ #endif
Index: sysutils/libgtop2/patches/patch-ak
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ak
diff -N sysutils/libgtop2/patches/patch-ak
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ak	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,45 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procmap.c.orig	2005-02-23 08:20:45.000000000 +0000
++++ sysdeps/freebsd/procmap.c
+@@ -40,7 +40,7 @@
+ #else
+ #include <vm/vm_object.h>
+ #include <vm/vm_map.h>
+-#if (__FreeBSD_version >= 400011)
++#if defined(__DragonFly__) || (defined(__FreeBSD__) && __FreeBSD_version >= 400011)
+ #include <vm/vm.h>
+ #else
+ #include <vm/vm_prot.h>
+@@ -108,9 +108,9 @@ glibtop_get_proc_map_p (glibtop *server,
+ 	struct vm_object object;
+ #endif
+ 	glibtop_map_entry *maps;
+-#if defined __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 	struct vnode vnode;
+-#if __FreeBSD_version < 500039
++#if (defined(__FreeBSD__) && __FreeBSD_version < 500039) || defined(__DragonFly__)
+ 	struct inode inode;
+ #endif
+ #endif
+@@ -178,8 +178,8 @@ glibtop_get_proc_map_p (glibtop *server,
+ 			update = 1;
+ 		}
+ 
+-#ifdef __FreeBSD__
+-#if __FreeBSD__ >= 4
++#if defined(__FreeBSD__) || defined(__DragonFly__)
++#if (defined(__FreeBSD__) && __FreeBSD__ >= 4) || defined(__DragonFly__)
+ 		if (entry.eflags & (MAP_ENTRY_IS_SUB_MAP))
+ 			continue;
+ #else
+@@ -255,7 +255,7 @@ glibtop_get_proc_map_p (glibtop *server,
+ #endif
+ 
+ 
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 		/* If the object is of type vnode, add its size */
+ 
+ 		if (object.type != OBJT_VNODE)
Index: sysutils/libgtop2/patches/patch-al
===================================================================
RCS file: sysutils/libgtop2/patches/patch-al
diff -N sysutils/libgtop2/patches/patch-al
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-al	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,15 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procmem.c.orig	2005-03-01 23:03:57.000000000 +0000
++++ sysdeps/freebsd/procmem.c
+@@ -213,8 +213,8 @@ glibtop_get_proc_mem_p (glibtop *server,
+ 			return;
+ 		}
+ 
+-#ifdef __FreeBSD__
+-#if __FreeBSD__ >= 4
++#if defined(__FreeBSD__) || defined(__DragonFly__)
++#if defined(__DragonFly__) || (defined(__FreeBSD__) && __FreeBSD__ >= 4)
+ 		if (entry.eflags & (MAP_ENTRY_IS_SUB_MAP))
+ 			continue;
+ #else
Index: sysutils/libgtop2/patches/patch-am
===================================================================
RCS file: sysutils/libgtop2/patches/patch-am
diff -N sysutils/libgtop2/patches/patch-am
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-am	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,44 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procsignal.c.orig	2005-07-08 19:25:18.000000000 +0000
++++ sysdeps/freebsd/procsignal.c
+@@ -91,7 +91,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->signal [0] = pinfo [0].kp_proc.p_sigctx.ps_siglist.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->signal [0] = pinfo [0].PROC_SIGLIST.__bits[0];
+ #else
+ 	buf->signal [0] = pinfo [0].kp_proc.p_siglist;
+@@ -103,7 +104,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->blocked [0] = pinfo [0].kp_proc.p_sigctx.ps_sigmask.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->blocked [0] = pinfo [0].PROC_SIGMASK.__bits[0];
+ #else
+ 	buf->blocked [0] = pinfo [0].kp_proc.p_sigmask;
+@@ -115,7 +117,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->sigignore [0] = pinfo [0].kp_proc.p_sigctx.ps_sigignore.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->sigignore [0] = pinfo [0].PROC_SIGIGNORE.__bits[0];
+ #else
+ 	buf->sigignore [0] = pinfo [0].kp_proc.p_sigignore;
+@@ -127,7 +130,8 @@ glibtop_get_proc_signal_p (glibtop *serv
+ #if defined(__NetBSD__) && (__NetBSD_Version__ >= 105150000)
+ 	buf->sigcatch [0] = pinfo [0].kp_proc.p_sigctx.ps_sigcatch.__bits[0];
+ #elif (defined(__NetBSD__) && (NSIG > 32)) || \
+-      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011))
++      (defined(__FreeBSD__) && (__FreeBSD_version >= 400011)) || \
++      defined(__DragonFly__)
+ 	buf->sigcatch [0] = pinfo [0].PROC_SIGCATCH.__bits[0];
+ #else
+ 	buf->sigcatch [0] = pinfo [0].kp_proc.p_sigcatch;
Index: sysutils/libgtop2/patches/patch-an
===================================================================
RCS file: sysutils/libgtop2/patches/patch-an
diff -N sysutils/libgtop2/patches/patch-an
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-an	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,19 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procstate.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/procstate.c
+@@ -80,6 +80,14 @@ glibtop_get_proc_state_p (glibtop *serve
+ #define	PROC_RGID	ki_rgid
+ #define PROC_STAT	ki_stat
+ 
++#elif defined(__DragonFly__)
++#define	PROC_COMM	kp_thread.td_comm
++#define	PROC_SVUID	kp_eproc.e_ucred.cr_svuid
++#define	PROC_SVGID	kp_eproc.e_ucred.cr_svgid
++#define	PROC_RUID	kp_eproc.e_ucred.cr_ruid
++#define	PROC_RGID	kp_eproc.e_ucred.cr_rgid
++#define	PROC_STAT	kp_proc.p_stat
++
+ #else
+ #define	PROC_COMM	kp_proc.p_comm
+ #define	PROC_SVUID	kp_eproc.e_pcred.p_svuid
Index: sysutils/libgtop2/patches/patch-ao
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ao
diff -N sysutils/libgtop2/patches/patch-ao
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ao	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,32 @@
+$NetBSD$
+
+--- sysdeps/freebsd/procuid.c.orig	2004-09-23 22:44:19.000000000 +0000
++++ sysdeps/freebsd/procuid.c
+@@ -91,8 +91,17 @@ glibtop_get_proc_uid_p (glibtop *server,
+ #else
+ #define	PROC_PRIORITY	ki_priority
+ #endif
+-#else
++#elif defined(__DragonFly__)
++#define	PROC_RUID	kp_eproc.e_ucred.cr_ruid
++#define	PROC_SVUID	kp_eproc.e_ucred.cr_svuid
++#define	PROC_RGID	kp_eproc.e_ucred.cr_rgid
++#define	PROC_SVGID	kp_eproc.e_ucred.cr_svgid
++#define	PROC_PPID	kp_eproc.e_ppid
++#define	PROC_PGID	kp_eproc.e_pgid
++#define	PROC_TPGID	kp_eproc.e_tpgid
++#define	PROC_NICE	kp_proc.p_nice
+ 
++#else
+ #define	PROC_RUID	kp_eproc.e_pcred.p_ruid
+ #define	PROC_SVUID	kp_eproc.e_pcred.p_svuid
+ #define	PROC_RGID	kp_eproc.e_pcred.p_rgid
+@@ -115,7 +124,7 @@ glibtop_get_proc_uid_p (glibtop *server,
+ 	buf->tpgid = pinfo [0].PROC_TPGID;
+ 
+ 	buf->nice     = pinfo [0].PROC_NICE;
+-#if defined(__NetBSD__) && defined(SACTIVE)
++#if defined(__DragonFly__) || (defined(__NetBSD__) && defined(SACTIVE))
+ 	buf->priority = 0;
+ #else
+ 	buf->priority = pinfo [0].PROC_PRIORITY;
Index: sysutils/libgtop2/patches/patch-ap
===================================================================
RCS file: sysutils/libgtop2/patches/patch-ap
diff -N sysutils/libgtop2/patches/patch-ap
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sysutils/libgtop2/patches/patch-ap	8 Jul 2005 21:51:10 -0000
@@ -0,0 +1,69 @@
+$NetBSD$
+
+--- sysdeps/freebsd/swap.c.orig	2004-09-24 22:49:06.000000000 +0000
++++ sysdeps/freebsd/swap.c
+@@ -32,7 +32,10 @@ static const unsigned long _glibtop_sysd
+ (1L << GLIBTOP_SWAP_FREE) + (1L << GLIBTOP_SWAP_PAGEIN) +
+ (1L << GLIBTOP_SWAP_PAGEOUT);
+ 
+-#if defined(__FreeBSD__) || defined(__bsdi__)
++#if defined(__DragonFly__)
++#include <sys/vmmeter.h>
++
++#elif defined(__FreeBSD__) || defined(__bsdi__)
+ 
+ #include <sys/conf.h>
+ #ifdef __bsdi__
+@@ -93,8 +96,8 @@ static struct nlist nlst2 [] = {
+ void
+ glibtop_init_swap_p (glibtop *server)
+ {
+-#if defined(__FreeBSD__) || defined(__bsdi__)
+-#if __FreeBSD__ < 4 || defined(__bsdi__)
++#if defined(__DragonFly__) || defined(__FreeBSD__) || defined(__bsdi__)
++#if !defined(__DragonFly__) && (__FreeBSD__ < 4 || defined(__bsdi__))
+ 	if (kvm_nlist (server->machine.kd, nlst) < 0) {
+ 		glibtop_warn_io_r (server, "kvm_nlist (swap)");
+ 		return;
+@@ -129,9 +132,9 @@ glibtop_init_swap_p (glibtop *server)
+ void
+ glibtop_get_swap_p (glibtop *server, glibtop_swap *buf)
+ {
+-#if defined(__FreeBSD__)
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 
+-# if __FreeBSD__ < 4
++# if defined(__FreeBSD__) && __FreeBSD__ < 4
+ 	char *header;
+ 	int hlen, nswdev, dmmax;
+ 	int div, nfree, npfree;
+@@ -193,7 +196,7 @@ glibtop_get_swap_p (glibtop *server, gli
+ 		buf->pagein = 0;
+ 		buf->pageout = 0;
+ 	} else {
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 		buf->pagein = vmm.v_swappgsin - swappgsin;
+ 		buf->pageout = vmm.v_swappgsout - swappgsout;
+ #else
+@@ -207,7 +210,7 @@ glibtop_get_swap_p (glibtop *server, gli
+ #endif
+ 	}
+ 
+-#ifdef __FreeBSD__
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+         swappgsin = vmm.v_swappgsin;
+ 	swappgsout = vmm.v_swappgsout;
+ #else
+@@ -220,9 +223,9 @@ glibtop_get_swap_p (glibtop *server, gli
+ #endif
+ #endif
+ 
+-#if defined(__FreeBSD__)
++#if defined(__FreeBSD__) || defined(__DragonFly__)
+ 
+-#if __FreeBSD__ < 4
++#if defined(__FreeBSD__) && __FreeBSD__ < 4
+ 
+ 	/* Size of largest swap device. */
+ 
Index: wm/bsetroot/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/wm/bsetroot/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- wm/bsetroot/distinfo	23 Feb 2005 18:43:53 -0000	1.4
+++ wm/bsetroot/distinfo	8 Jul 2005 21:51:19 -0000
@@ -6,3 +6,4 @@
 SHA1 (patch-aa) = 134f628eef5cec1e9d7ce4b95a57c7e35a2307d9
 SHA1 (patch-ab) = 0654be7d1465d0adc331714377f17e6e6bd459da
 SHA1 (patch-ac) = 5f249a2e6d75e5d88605d6d8a1675d003b1cb52f
+SHA1 (patch-ad) = a39dee423ea041f8c72c0c9144ffda06c20242eb
Index: wm/bsetroot/patches/patch-ad
===================================================================
RCS file: wm/bsetroot/patches/patch-ad
diff -N wm/bsetroot/patches/patch-ad
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ wm/bsetroot/patches/patch-ad	8 Jul 2005 21:51:19 -0000
@@ -0,0 +1,16 @@
+$NetBSD$
+
+--- src/Timer.hh.orig	2005-07-07 14:15:48.000000000 +0000
++++ src/Timer.hh
+@@ -98,9 +98,9 @@ public:
+   ~_timer_queue(void) {}
+ 
+   void release(const _Tp& value) {
+-    c.erase(std::remove(c.begin(), c.end(), value), c.end());
++    _Base::c.erase(std::remove(_Base::c.begin(), _Base::c.end(), value), _Base::c.end());
+     // after removing the item we need to make the heap again
+-    std::make_heap(c.begin(), c.end(), comp);
++    std::make_heap(_Base::c.begin(), _Base::c.end(), _Base::comp);
+   }
+   bool empty(void) const { return _Base::empty(); }
+   size_t size(void) const { return _Base::size(); }
Index: www/firefox/Makefile-firefox.common
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/Makefile-firefox.common,v
retrieving revision 1.18
diff -u -r1.18 Makefile-firefox.common
--- www/firefox/Makefile-firefox.common	14 May 2005 15:27:10 -0000	1.18
+++ www/firefox/Makefile-firefox.common	8 Jul 2005 21:51:23 -0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile-firefox.common,v 1.18 2005/05/14 15:27:10 taya Exp $
+# $NetBSD: pkgsrc/www/firefox/Makefile-firefox.common,v 1.18 2005/05/14 15:27:10 taya Exp $
 
 MOZILLA_BIN=	firefox-bin
 MOZ_VER=	1.0.4
@@ -24,6 +24,7 @@
 CONFIGURE_ARGS+=	--disable-composer
 CONFIGURE_ARGS+=	--enable-single-profile
 CONFIGURE_ARGS+=	--without-gssapi
+CONFIGURE_ARGS+=	--enable-crypto
 
 MOZILLA_EXTENSIONS=	cookie,gnomevfs,inspector,negotiateauth,pref,transformiix,universalchardet,webservices,xml-rpc,xmlextras
 CONFIGURE_ARGS+=	--enable-extensions=${MOZILLA_EXTENSIONS}
Index: www/firefox/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/distinfo,v
retrieving revision 1.33
diff -u -r1.33 distinfo
--- www/firefox/distinfo	22 Jun 2005 22:05:34 -0000	1.33
+++ www/firefox/distinfo	8 Jul 2005 21:51:23 -0000
@@ -4,8 +4,8 @@
 RMD160 (firefox-1.0.4/firefox-1.0.4-source.tar.bz2) = 4b04740fe4615ddddd16ec296509177ab29d4edc
 Size (firefox-1.0.4/firefox-1.0.4-source.tar.bz2) = 32756592 bytes
 SHA1 (patch-aa) = 9225a7a2c9b4545e800008169d4d88452c85d1a9
-SHA1 (patch-ab) = 0c1f2d6cca09b4dd6b168ed29d84d245967a3369
-SHA1 (patch-ac) = 32aa4b92eea19aca07077a292cb759d074026642
+SHA1 (patch-ab) = db7a3f0e8d7b651a1e5d8f1339019f34cb98eac7
+SHA1 (patch-ac) = 83f5f6f2492d55c2bd96e7511514dcd763c977b5
 SHA1 (patch-ad) = 19afc8dfaf9f14439d747e42ee2f64a9c1a9dc3d
 SHA1 (patch-ae) = 364b91f0bf51e49bb140e13dfb775a89ea38bb28
 SHA1 (patch-af) = 6addfc2bd0b3e3aaefff6cce6836384ca44baf30
@@ -22,10 +22,10 @@
 SHA1 (patch-ba) = a0d70d713d2d4746d9128724c382b019f353f5af
 SHA1 (patch-bb) = 9ba4bcd86e581496bbc6b40b3a3f062dfd5e416f
 SHA1 (patch-bm) = 6bd7bf1262cec43b0324693d43929497c3fb3991
-SHA1 (patch-bo) = 7d6e0353666810992ab0b09d804f9f48ef90b984
-SHA1 (patch-bq) = 3b8a951828b0e6906e4352027b4d36c9b1f8aaae
+SHA1 (patch-bo) = f99e3b9559e38b7e6b39384b492424de8255eca4
+SHA1 (patch-bq) = 9dc1be8c9ed28d8085102797d693481d129fed4c
 SHA1 (patch-br) = 6311da23ec126fe0959cb19502a22c106f8f975c
-SHA1 (patch-bs) = 81065130c96bf966b22e6abb767a5b674dcb52cb
+SHA1 (patch-bs) = ac910aaf7eaaacc453c36ac099f3cca7496c9133
 SHA1 (patch-bt) = 6e3ceb31866dfb0dba81c93446db2b21e1df9baa
 SHA1 (patch-bu) = db33b8651e3cb1fbf9a18dbe78e1e8288cfda0ee
 SHA1 (patch-bv) = 4f23dfd885131ea866f31370f1421e7c19706860
@@ -39,10 +39,27 @@
 SHA1 (patch-cd) = bbe839bce72a1d6816fa0c091172a818fb469981
 SHA1 (patch-ce) = f7db7a46d40b80287774f93d55b05a5ad0c79214
 SHA1 (patch-cf) = 337bc106afe7ce3fa6678fca4c0317714393a977
-SHA1 (patch-cg) = 0b637509a5dfcc1ebe26412899da41dc3d06e6df
+SHA1 (patch-cg) = cb58278120cb8e067dd20354d877f9467fe26590
 SHA1 (patch-ch) = 281dc9957784b4f75170377d09c22735ce7f8500
 SHA1 (patch-ci) = b9868757c31ea577c2df99eb7f41503d55d904f0
 SHA1 (patch-cj) = a17331d248dd0d3ed85c81f6c1095f384d810b0d
 SHA1 (patch-ck) = 5db42f8047046e10f388bdaf299c35c415a50f8d
 SHA1 (patch-cl) = 1450e99f5e5f31f0e8d01b68bb50494f84eed068
 SHA1 (patch-cm) = 2a347bcf5814816539835caf65dd888f71ceea20
+SHA1 (patch-db) = 2188ac37d5af04ab0022512b5a6486d18361d1d9
+SHA1 (patch-dc) = 3b1cf94da773f58194e75397ed8bd2ba8f636bc0
+SHA1 (patch-dd) = 3048d44c50cf85bf3dd3820213d7095bf2c7149f
+SHA1 (patch-df) = f9cb461b1f18f261af7115dc3b18fcbc1fef0a56
+SHA1 (patch-dh) = 500f8836d20ccab30f96215b18118f79a4f9ba2e
+SHA1 (patch-di) = 7e4d2924584593cf6467e026581d0216349c40d5
+SHA1 (patch-dj) = 73946a35ba6ac949c4717bb043fc63e4bcf60d4d
+SHA1 (patch-dk) = 2974c32601b0a793935d21e4f55a2eb3b20da915
+SHA1 (patch-dl) = 68287c1fe478eb221af4a43a3dea585b46ebe421
+SHA1 (patch-dm) = cfe45c664bafb035a00f4b346efb866d2079f5cb
+SHA1 (patch-do) = e12ba005ecbaf066275e5410ca97244cb8f729e7
+SHA1 (patch-dp) = b1087dc8f85ed18e54d371ddb2dc47b4b199da36
+SHA1 (patch-dr) = c35f305f63bcd5ddc3e55725ddcb9f03c0ea29c0
+SHA1 (patch-ds) = 2d101e4ceeba746f92896c1134eb303cb682cb4a
+SHA1 (patch-dt) = 8e70ff6babd4b236d51bcf6d47f2b26c4c643369
+SHA1 (patch-du) = 7a499969651573d923b6e40d06d9c3ae467ad6ce
+SHA1 (patch-dv) = 5baa26fcf9295b776a0ac08386d10dcb005ab0f7
Index: www/firefox/patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-ab,v
retrieving revision 1.2
diff -u -r1.2 patch-ab
--- www/firefox/patches/patch-ab	23 Jun 2004 16:47:12 -0000	1.2
+++ www/firefox/patches/patch-ab	8 Jul 2005 21:51:23 -0000
@@ -1,8 +1,17 @@
-$NetBSD: patch-ab,v 1.2 2004/06/23 16:47:12 taya Exp $
+$NetBSD: pkgsrc/www/firefox/patches/patch-ab,v 1.2 2004/06/23 16:47:12 taya Exp $
 
 diff -ru ../Orig/mozilla/configure.in ./configure.in
 --- ../Orig/mozilla/configure.in	2004-05-14 06:57:46.000000000 +0900
 +++ ./configure.in	2004-06-15 23:55:39.000000000 +0900
+@@ -1008,7 +1008,7 @@
+     esac
+     ;;
+ 
+-*-freebsd*)
++*-freebsd* | *-dragonfly*)
+     if test `test -x /usr/bin/objformat && /usr/bin/objformat || echo aout` != "elf"; then
+ 	DLL_SUFFIX=".so.1.0"
+ 	DSO_LDOPTS="-shared"
 @@ -1017,6 +1017,9 @@
  #	MKSHLIB_FORCE_ALL='-Wl,-Bforcearchive'
  #	MKSHLIB_UNFORCE_ALL=''
Index: www/firefox/patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-ac,v
retrieving revision 1.4
diff -u -r1.4 patch-ac
--- www/firefox/patches/patch-ac	24 Aug 2004 16:32:42 -0000	1.4
+++ www/firefox/patches/patch-ac	8 Jul 2005 21:51:23 -0000
@@ -1,8 +1,13 @@
-$NetBSD: patch-ac,v 1.4 2004/08/24 16:32:42 aymeric Exp $
+$NetBSD: pkgsrc/www/firefox/patches/patch-ac,v 1.4 2004/08/24 16:32:42 aymeric Exp $
 
 --- xpcom/reflect/xptcall/src/md/unix/Makefile.in.orig	2004-04-22 22:50:05.000000000 +0200
 +++ xpcom/reflect/xptcall/src/md/unix/Makefile.in
-@@ -49,6 +49,9 @@ ifneq (,$(filter FreeBSD NetBSD OpenBSD 
+@@ -45,10 +45,13 @@
+ #
+ # Lots of Unixish x86 flavors
+ #
+-ifneq (,$(filter FreeBSD NetBSD OpenBSD BSD_OS Darwin,$(OS_ARCH)))
++ifneq (,$(filter DragonFly FreeBSD NetBSD OpenBSD BSD_OS Darwin,$(OS_ARCH)))
  ifeq (86,$(findstring 86,$(OS_TEST)))
  CPPSRCS		:= xptcinvoke_unixish_x86.cpp xptcstubs_unixish_x86.cpp
  endif
@@ -12,7 +17,7 @@
  endif
  #
  # New code for Linux, et. al., with gcc
-@@ -140,7 +143,7 @@ endif
+@@ -140,7 +143,7 @@
  # NetBSD/ARM
  #
  ifeq ($(OS_ARCH),NetBSD)
@@ -21,7 +26,7 @@
  CPPSRCS		:= xptcinvoke_arm_netbsd.cpp xptcstubs_arm_netbsd.cpp
  endif
  endif
-@@ -174,7 +177,7 @@ endif
+@@ -174,7 +177,7 @@
  # NetBSD/m68k
  #
  ifeq ($(OS_ARCH),NetBSD)
@@ -30,7 +35,7 @@
  CPPSRCS		:= xptcinvoke_netbsd_m68k.cpp xptcstubs_netbsd_m68k.cpp
  endif
  endif
-@@ -257,6 +260,7 @@ endif
+@@ -257,6 +260,7 @@
  ifneq (,$(filter NetBSDmacppc NetBSDbebox NetBSDofppc NetBSDprep NetBSDamigappc,$(OS_ARCH)$(OS_TEST)))                           
  CPPSRCS		:= xptcinvoke_ppc_netbsd.cpp xptcstubs_ppc_netbsd.cpp
  ASFILES		:= xptcinvoke_asm_ppc_netbsd.s xptcstubs_asm_ppc_netbsd.s
@@ -38,7 +43,7 @@
  endif
  
  #
-@@ -305,6 +309,13 @@ ifeq ($(OS_ARCH)$(OS_TEST),NetBSDsparc)
+@@ -305,6 +309,13 @@
  CPPSRCS		:= xptcinvoke_sparc_netbsd.cpp xptcstubs_sparc_netbsd.cpp
  ASFILES		:= xptcinvoke_asm_sparc_netbsd.s xptcstubs_asm_sparc_netbsd.s
  endif
Index: www/firefox/patches/patch-bo
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-bo,v
retrieving revision 1.3
diff -u -r1.3 patch-bo
--- www/firefox/patches/patch-bo	4 Dec 2004 04:43:49 -0000	1.3
+++ www/firefox/patches/patch-bo	8 Jul 2005 21:51:23 -0000
@@ -1,18 +1,43 @@
-$NetBSD: patch-bo,v 1.3 2004/12/04 04:43:49 taya Exp $
+$NetBSD$
 
---- ../Orig/mozilla/nsprpub/configure.in	2004-04-17 07:28:02.000000000 +0900
-+++ ./nsprpub/configure.in	2004-07-27 01:25:32.000000000 +0900
-@@ -933,6 +933,9 @@
+--- nsprpub/configure.in.orig	2004-09-14 22:59:41.000000000 +0200
++++ nsprpub/configure.in
+@@ -933,6 +933,34 @@ case "$target" in
      DSO_LDOPTS='-shared -Wl,-soname -Wl,$(notdir $@)'
      MDCPUCFG_H=_freebsd.cfg
      PR_MD_CSRCS=freebsd.c
 +    if test "$LIBRUNPATH"; then
 +        DSO_LDOPTS="$DSO_LDOPTS -Wl,-R$LIBRUNPATH"
 +    fi
++    ;;
++
++*-dragonfly*)
++    if test -z "$USE_NSPR_THREADS"; then
++        USE_PTHREADS=1
++    fi
++    AC_DEFINE(XP_UNIX)
++    AC_DEFINE(FREEBSD)
++    AC_DEFINE(HAVE_BSD_FLOCK)
++    AC_DEFINE(HAVE_SOCKLEN_T)
++    CFLAGS="$CFLAGS $(DSO_CFLAGS) -ansi -Wall"
++    MOZ_OBJFORMAT=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
++    if test "$MOZ_OBJFORMAT" = "elf"; then
++        DLL_SUFFIX=so
++    else
++        DLL_SUFFIX=so.1.0
++    fi
++    MKSHLIB='$(CC) $(DSO_LDOPTS) -o $@'
++    DSO_CFLAGS=-fPIC
++    DSO_LDOPTS='-shared -Wl,-soname -Wl,$(notdir $@)'
++    MDCPUCFG_H=_freebsd.cfg
++    PR_MD_CSRCS=freebsd.c
++    if test "$LIBRUNPATH"; then
++        DSO_LDOPTS="$DSO_LDOPTS -Wl,-R$LIBRUNPATH"
++    fi
      ;;
  
  *-hpux*)
-@@ -1409,6 +1412,7 @@
+@@ -1417,6 +1445,7 @@ mips-nec-sysv*)
      AC_DEFINE(XP_UNIX)
      AC_DEFINE(NETBSD)
      AC_DEFINE(HAVE_BSD_FLOCK)
@@ -20,3 +45,30 @@
      USE_NSPR_THREADS=1
      MDCPUCFG_H=_netbsd.cfg
      PR_MD_CSRCS=netbsd.c
+@@ -2149,7 +2178,7 @@ if test -n "$USE_PTHREADS"; then
+ 	if test -z "`egrep -i '(unrecognize|unknown)' conftest.out | grep pthread`" && test -z "`egrep -i '(error|incorrect)' conftest.out`" ; then
+ 	    ac_cv_have_dash_pthread=yes
+ 		case "$target_os" in
+-	    freebsd*)
++	    freebsd* | dragonfly*)
+ # Freebsd doesn't use -pthread for compiles, it uses them for linking
+             ;;
+ 	    *)
+@@ -2187,7 +2216,7 @@ if test -n "$USE_PTHREADS"; then
+             _PTHREAD_LDFLAGS=
+         fi
+ 	    ;;
+-    *-freebsd*)
++    *-freebsd* | *-dragonfly*)
+ 	    AC_DEFINE(_REENTRANT)
+ 	    AC_DEFINE(_THREAD_SAFE)
+ 	    dnl -pthread links in -lc_r, so don't specify it explicitly.
+@@ -2269,7 +2298,7 @@ case "$target" in
+         AC_DEFINE(_PR_NEED_PTHREAD_INIT)
+     fi
+     ;;
+-*-freebsd*)
++*-freebsd* | *-dragonfly*)
+     if test -n "$USE_NSPR_THREADS"; then
+         AC_DEFINE(_PR_LOCAL_THREADS_ONLY)
+     fi
Index: www/firefox/patches/patch-bq
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/patches/patch-bq,v
retrieving revision 1.3
diff -u -r1.3 patch-bq
--- www/firefox/patches/patch-bq	23 Jun 2004 16:47:12 -0000	1.3
+++ www/firefox/patches/patch-bq	8 Jul 2005 21:51:23 -0000
@@ -1,4 +1,4 @@
-$NetBSD: patch-bq,v 1.3 2004/06/23 16:47:12 taya Exp $
+$NetBSD: pkgsrc/www/firefox/patches/patch-bq,v 1.3 2004/06/23 16:47:12 taya Exp $
 
 diff -ru ../Orig/mozilla/xpcom/io/nsLocalFileUnix.h ./xpcom/io/nsLocalFileUnix.h
 --- ../Orig/mozilla/xpcom/io/nsLocalFileUnix.h	2004-01-15 15:14:13.000000000 +0900
@@ -8,7 +8,7 @@
  
  // so we can statfs on freebsd
 -#if defined(__FreeBSD__)
-+#if defined(__FreeBSD__) || (defined(__NetBSD__) && !defined(HAVE_STATVFS))
++#if defined(__FreeBSD__) || ((defined(__DragonFly__) || defined(__NetBSD__)) && !defined(HAVE_STATVFS))
      #define HAVE_SYS_STATFS_H
      #define STATFS statfs
      #include <sys/param.h>
